# Disable tests by default because they fail to run inside mock builds
# at the moment, but can run locally.  To build and run tests, do:
#     rpmbuild -ba --with runtests pykickstart.spec
%bcond_with runtests
%define anolis_release 1

Name:		pykickstart
Version:    3.52.8
Release:	%{anolis_release}%{?dist}
Summary:	Python utilities for manipulating kickstart files.

License:	GPLv2 and MIT	
URL:		https://github.com/pykickstart/pykickstart/
Source0:	https://github.com/pykickstart/pykickstart/archive/refs/tags/r%{version}.tar.gz

BuildArch: 	noarch

BuildRequires:	gettext
BuildRequires: 	python3-devel
BuildRequires: 	python3-requests
BuildRequires:	python3-setuptools
BuildRequires: 	make
# The coverage and sphinx required when building with runtests 
%if %{with runtests}
BuildRequires: 	python3-coverage
BuildRequires: 	python3-sphinx
%endif

Requires:	python3-kickstart = %{version}-%{release}

%description
python module for parsing and writing kickstart configs.

%package -n python3-kickstart
Summary:  Python 3 library for manipulating kickstart files.
Requires: python3-requests

%description -n python3-kickstart
Python 3 library for manipulating kickstart files.  The binaries are found in
the pykickstart package.

%prep
%autosetup -n %{name}-r%{version} -p1

%build
make PYTHON=%{__python3}

%install
make PYTHON=%{__python3} DESTDIR=%{buildroot} install

%check
%if %{with runtests}
make PYTHON=%{__python3} test
%endif

%files
%license COPYING
%doc README.rst data/kickstart.vim
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff
%{_bindir}/ksshell
%{_mandir}/man1/ksflatten.*
%{_mandir}/man1/ksshell.*
%{_mandir}/man1/ksvalidator.*
%{_mandir}/man1/ksverdiff.*

%files -n python3-kickstart	
%doc docs/2to3 docs/programmers-guide docs/kickstart-docs.rst
%{python3_sitelib}/pykickstart
%{python3_sitelib}/pykickstart*.egg-info

%changelog
* Thu Mar 20 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 3.52.8-1
- update to 3.52.8 from 3.43

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.43-2
- Rebuild with python3.11

* Sun Dec 11 2022 Funda Wang <fundawang@yeah.net> - 3.43-1
- New version 3.43

* Wed Apr 13 2022 happy_orange <songnannan@linux.alibaba.com> - 3.37-1
- Init package from upstream v3.37
